Regex for "validates_format_of" in Parameter model does not look right

08/26/2010 11:01 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Bash Shell   

Category: Database   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have a parameter value with the value:

test       value

 However, I got a validation error because the following validation does not accept a variety of characters.

validates_format_of   :name, :value, :with => /\A(\S+\s?)+\Z/, :message => "can't be blank or cont

ain trailing white space" 

 It would be useful to have a more liberal validation like so:

validates_format_of   :name, :value, :with => /^[\w\d\W]+$/, :message => "can't be blank or contai

n trailing white space" 

 So that the following lines can be accommodated:

*       -       nofile  65535%%*       -       nproc  65535

 for /etc/security/limits.conf, for example.

Associated revisions

Revision 1f0c2f2e - 09/22/2010 09:07 PM - Paul Kelly

Fixes #367 - Parameter validates_format_of is too restrictive

Revision 41ca560a - 10/03/2010 02:30 PM - Paul Kelly

Fixes #367 - Parameter validates_format_of is too restrictive

History

#1 - 08/31/2010 07:05 PM - Ohad Levy

patch? :)

#2 - 09/19/2010 03:25 PM - Ohad Levy

- Category set to Database

- Assignee set to Bash Shell

- Target version set to 0.1-6

#3 - 09/22/2010 02:37 PM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to bug/367-validates_format_of-parameter
Oops! Sorry about this Bash Shell but I did this fix before I noticed that it was assigned to you. :-(

However I think that the re should be /^.*\S$/

#4 - 09/22/2010 09:22 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset 1f0c2f2ef54f77a3b559c8d2119168395c51ff44.

#5 - 09/23/2010 01:20 PM - Paul Kelly

- Status changed from Ready For Testing to Closed
